Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.relesysapp.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"5eae180a-51ba-4f67-9f8f-100617b552ab","url":null,"fillingId":"a0489ca2-8c8c-47ff-8b02-45de88d02c1c","fillingUrl":null,"stageId":"708d68f3-2c97-4ba9-9cd6-8ec0c7974d8d","stageUrl":null,"userId":"816c8955-2974-4380-86e2-ae2ee1a18412","userUrl":null,"creationDateTime":"2026-10-15T08:41:05.0115112+00:00","lastModifiedDateTime":"2026-10-16T08:41:05.0115112+00:00","value":"Stage Comment 1","medias":[{"id":"5db8a8b9-3edd-463f-8032-f49cc3897543","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"56aebe0e-196c-43e1-9de4-6537317e5731","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"285287cc-cbbb-4f77-a315-86f86a509dfe","url":null,"fillingId":"ba08c439-8a41-4232-bc1f-d54ed49ebdda","fillingUrl":null,"stageId":"a22678ed-71f0-4cff-b1ff-1d42414171cd","stageUrl":null,"userId":"934cb5c5-438d-4684-b7bf-0a6b3578fe3f","userUrl":null,"creationDateTime":"2026-10-15T08:41:05.0115112+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string